/*----------------------------------------------------------------------------
 *      Name:    MCB2300_config.h
 *      Purpose: Definitions and Configuration for MCB2300 tests
 *
 * 
 *
 *    
 *---------------------------------------------------------------------------*/

	#define INITPINSEL0		0x40000050 		 // TX1, TX0, RX0
	#define INITPINSEL1 	0x00204001		 // RX1, AD0.0, AOUT(DAC)
	#define INITPINSEL10 	0x00000000 		// diable ETM, enable LEDs
	#define INITIODIR0		0x00000000
	#define INITIODIR1		0x00000000     
	#define INITFIO2DIR		0x000000FF
	#define INITFIO2MASK	0x00000000
	#define INITIOSET0		0x00000000
	#define INITIOSET1		0x00000000
	#define INITIOCLR0		0x00000000
	#define INITIOCLR1		0x00000000	  

	#define LED_A       0x01		  //   For MCB2300 Test 
	#define LED_B       0x02		  //   For MCB2300 Test
	#define LED_C       0x04		  //   For MCB2300 Test
	#define LED_D       0x08		  //   For MCB2300 Test
	 
	 /* MCB2368					   DIR(1=OUT)	 PINSEL0  PINMODE  USE
 	P0.0 - IN - CAN_RX1				  0			 	00	   			GPIO
 	P0.1 - OUT - CAN_TX1			  1			 	00	   			GPIO
	P0.2 - OUT - UART0 TX			  1			 	01	  			UART0 TX
	P0.3 - IN - UART0 RX			  0			 	01	   			UART0 RX
	P0.4 - IN - CAN_RX2 			  0			 	00	   			GPIO
	P0.5 - OUT - CAN_TX2			  1			 	00	   			GPIO
	P0.6 - GPIO						  0			 	00	   			GPIO
	P0.7 - GPIO				  	 	  0			 	00	   			GPIO
	P0.8 - GPIO						  0			 	00	   			GPIO
	P0.9 - GPIO						  0			 	00	   			GPIO
	P0.10 - SDA2 - SET  LOW?		  1	  		 	00	   			GPIO
	P0.11 - SCL2 - SET  LOW?		  1	  		 	00	   			GPIO
	P0.12 - N/A						  0				00	    
	P0.13 - N/A			  		 	  0				00	    
	P0.14 - N/A						  0				00	    
	P0.15 - OUT - UART1 TX		 	  1				01	   			UART1 TX	
												 PINSEL1
	P0.16 - IN - UART1 RX		 	  0				01	   			UART1 RX
	P0.17 - GPIO				 	  0				00	   			GPIO
	P0.18 - GPIO				 	  0				00	   			GPIO
	P0.19 - GPIO				 	  0				00	   			GPIO
	P0.20 - GPIO				 	  0				00	   			GPIO
	P0.21 - GPIO				 	  0				00	   			GPIO
	P0.22 - GPIO		 		 	  0				00	   			GPIO
	P0.23 - IN AD0.0 - POTENTIOMETER  0				01	   			AD0.0
	P0.24 - GPIO 					  0				00	   			GPIO
	P0.25 - GPIO				 	  0				00	   			GPIO
	P0.26 - AOUT - DAC 			 	  1				10 	   			AOUT(DAC)
	P0.27 - SDA0				  	  1				00	   			GPIO
	P0.28 - SCK0					  0				00 	   			GPIO
	P0.29 - USB D+				 	  0				00	   			GPIO
	P0.30 - USB D-				 	  0				00	   			GPIO
	P0.31 - N/A					 	  0			 	00	    
 	
	
	P1.0 - ENET						  				00	   			GPIO
 	P1.1 - ENET						   				00	   			GPIO
	P1.2 - NA							   			00	    
	P1.3 - NA						   				00	    
	P1.4 - ENET					 	   				00	   			GPIO
	P1.5 - NA					 	   				00	   			GPIO
	P1.6 - NA					 	   				00	    
	P1.7 - NA				  	 	   				00	    
	P1.8 - ENET						   				00	   			GPIO
	P1.9 - ENET						   				00	   			GPIO
	P1.10 - ENET				 	   				00	   			GPIO
	P1.11 - NA					 	   				00	    
	P1.12 - ONA					 	   				00	   			GPIO
	P1.13 - NA						   				00	   			GPIO
	P1.15 - ENET				 	   				00	   			GPIO																	
	P1.16 - ENET				 	   				00	   			GPIO
	P1.17 - ENET				 	   				00	   			GPIO
	P1.18 - UGL LED (low-on)		 1				00	   			GPIO	GP led, r42 monitor
	P1.19 - GPIO				 	   				00	   			GPIO
	P1.20 - GPIO				 	   				00	   			GPIO
	P1.21 - GPIO				 	   				00	   			GPIO
	P1.22 - GPIO				 	   				00	   			GPIO
	P1.23 - GPIO			 	 	   				00	   			GPIO
	P1.24 - GPIO					   				00	   			GPIO
	P1.25 - GPIO					   				00	   			GPIO
	P1.26 - GPIO					   				00	   			GPIO
	P1.27 - GPIO					   				00	   			GPIO
	P1.28 - GPIO					   				00	   			GPIO
	P1.29 - GPIO					   				00	   			GPIO
	P1.30 - USB VBUS				   				00	   			GPIO
	P1.31 - IN	(has pull-up)		   				00	   			GPIO
							   									
																	 	
	P2.0 - OUT - LEDS 								00	   			GPIO
 	P2.1 - OUT - LEDS								00	   			GPIO
	P2.2 - OUT - LEDS								00	   			GPIO
	P2.3 - OUT - LEDS								00	   			GPIO
	P2.4 - OUT - LEDS								00	   			GPIO
	P2.5 - OUT - LEDS								00	   			GPIO
	P2.6 - OUT - LEDS								00	   			GPIO
	P2.7 - OUT - LEDS								00	   			GPIO
	P2.8 - OUT - UART1 TX							00	   			GPIO
	P2.9 - IN - UART1 RX							00	   			GPIO
	P2.10 - IN - ISP Pin 							00	   			ISP
	P2.11 - GPIO									00	   			GPIO
	P2.12 - GPIO									00	   			GPIO
	P2.13 - GPIO			  						00	   			GPIO
	P2.14 - NA										00
	P2.15 - NA										00				 
													
	P3.25 - GPIO									00	   			GPIO
	P3.26 - GPIO									00	   			GPIO
													
	P4.28 - GPIO									00	   			GPIO
	P4.29 - GPIO									00	   			GPIO
	*/
